Subject: Original PDP-8 pocket reference card

From: [email-masked] (Douglas W. Jones,201H MLH,3193350740,3193382879)
Date: 20 Jun 1994 18:22:36 GMT

C. D Lowenstein of UCSD has just sent me a vintage
PDP-8 Pocket Reference Card.

The original was 5 1/2 inches tall by 3 1/2 inches wide
on stiff white cardstock printed in light green ink.  I
have taken liberties in my attempt to approximate the
typography of the original.  Most of it is set in a
small sans-serif font (Helvetica?) with bold titles for
each instruction group in the same font, and bigger
fonts used only for the title on the front page and the
corporate logo on the back page.  The PDP-8 "Trademark"
used here had PDP written in an extended bold typewriter
like font over a very extended large numeral 8; this
same form was used in a corner of every page of every
software listing published by DEC in 1965, but it wasn't
used on any of the original hardware manuals that I've
got.

The card is appended to this message (after a formfeed);
I proofred what I transcribed, and I was careful to
include all typos DEC included in the original.  The
worst are in the COMBINED OPERATE MICROINSTRUCTIONS
section for SMA SZA, SPA SZL and SPA CLA; in all these,
it skips if AC=0, but the comments don't say so!

He also sent the 4/67 edition of the card.  This fixes
the typos, includes the new higher performance figures
for the upgraded EAE, and includes the PC02, PC03, and
TU55/TC01 instead of the Type 750C, 75E and 555/552
listed in the earlier documentation.  In addition, it
includes another 2-sided page showing the bit assignments
for the different instruction formats.

Under the conditions of DEC's letter of permission to
reproduce documentation, I should say that this is
reproduced with permission in 1994 and that DEC holds
whatever copyright applies to this material.

				Doug Jones
				[email-masked]



                                                   F-86
                                                   5/65

      P D P
      88888
     8     8
      88888    I N S T R U C T I O N   L I S T
     8     8
      88888

Mnemonic Code          Operation                 Cycles

                   BASIC INSTRUCTIONS

AND      0000  logical AND                           2
TAD      1000  2's complement add                    2
ISZ      2000  increment and skip if zero            2
DCA      3000  deposic and clear AC                  2
JMS      4000  jump to subroutine                    2
JMP      5000  jump                                  1
IOT      6000  in-out transfer                   2 1/2
OPR      7000  operate                               1

      GROUP 1 OPERATE MICROINSTRUCTIONS (1 CYCLE)

                                             Event Time
NOP      7000  no operation                          1
CLA      7200  clear AC                              1
CLL      7100  clear link                            1
CMA      7040  complement AC                         1
CML      7020  complement link                       1
RAR      7010  rotate AC and link right one          2
RAL      7004  rotate AC and link left one           2
RTR      7012  rotate AC and link right two          2
RTL      7006  rotate AC and link left two           2
IAC      7001  increment AC                          2

      GROUP 2 OPERATE MICROINSTRUCTIONS (1 CYCLE)

                                             Event Time
SMA      7500  skip on minus AC                      1
SZA      7440  skip on zero AC                       1
SPA      7510  skip on plus AC                       1
SNA      7450  skip on non zero AC                   1
SNL      7420  skip on non-zero link                 1
SZL      7430  skip on zero link                     1
SKP      7410  skip unconditionally                  1
OSR      7404  inclusive OR, switch register with AC 2
HLT      7402  halts the program                     1
CLA      7600  clear AC                              1


Mnemonic Code          Operation                 Cycles

           COMBINED OPERATE MICROINSTRUCTIONS

CIA      7041  complement and increment AC           1
LAS      7604  load AC with switch register          1
STL      7120  set link (to 1)                       1
GLK      7204  get link (and put int AC bit 11)      1
CLA CLL  7300  clear AC and link                     1
CLA IAC  7201  set AC = 1                            1
CLA CMA  7240  set AC = -1                           1
CLL RAR  7110  shift positive number one right       1
CLL RAL  7104  shift positive number one left        1
CLL RTL  7106  clear link, rotate 2 left             1
CLL RTR  7112  clear link, rotate 2 right            1
SZA CLA  7640  skip if AC = 0, then clear AC         1
SZA SNL  7460  skip if AC = 0, or link is 1, or both 1
SNA CLA  7650  skip if AC /= 0, then clear AC        1
SMA CLA  7700  skip if AC < 0, then clear AC         1
SMA SZA  7540  skip if AC <= 0                       1
SMA SNL  7520  skip if AC < 0 or line is 1 or both   1
SPA SNA  7550  skip if AC > 0                        1
SPA SZL  7530  skip if AC > 0 and if the link is 0   1
SPA CLA  7710  skip of AC > 0, then clear AC         1
SNA SZL  7470  skip if AC /= 0 and link = 0          1

Mnemonic Code          Operation          Time ( usec.)

             EAE MICROINSTRUCTION TYPE 182
DVI      7407  divide                         <36.7
NMI      7411  normalize                      3.0+0.5n
SHL      7413  shift left                     3.0+0.5n
ASR      7415  arithmetic shift right         3.0+0.5n
LSR      7417  logical shift right            3.0+0.5n
MQL      7421  load AC into MQ, clear AC      1.5
MUY      7405  multiply                       15.0-21.2
MQA      7501  inclusive OR, MA with AC       1.5
CAM      7621  clear AC and MQ                1.5
SCA      7441  read SC into AC                1.5
MQA      7501  read MQ into AC                1.5

Mnemonic Code          Operation                 Cycles

                 IOT MICROINSTRUCTIONS

                   PROGRAM INTERRUPT
ION      6001  turn interrupt on                     1
IOF      6002  turn interrupt off                    1

          ANALOG TO DIGITAL CONVERTER TYPE 189
ADC      6004  convert A to D

                TELETYPE KEYBOARD/READER
KSF      6031  skip if keyboard/reader flag=1     2 1/2
KCC      6032  clear AC and keyboard/reader       2 1/2
               flag
KRS      6034  read keyboard/reader buffer,       2 1/2
               static
KRB      6036  clear AC, read keyboard buffer     2 1/2
               clear keyboard flag


Mnemonic Code          Operation                 Cycles

               TELETYPE TELEPRINTER/PUNCH
TSF      6041  skip if teleprinter/punch          2 1/2
               flag = 1
TCF      6042  clear teleprinter/punch flag       2 1/2
TPC      6044  load teleprinter/punch             2 1/2
               buffer, select and print
TLS      6046  load teleprinter/punch buffer,     2 1/2
               select and print, and clear
               teleprinter/punch flag

      HIGH SPEED PERFORATED TAPE READER TYPE 750C
RSF      6011  skip if reader flag = 1            2 1/2
RRB      6012  read reader buffer,                2 1/2
               and clear flag
RFC      6014  clear flag and buffer and          2 1/2
               fetch character

       HIGH SPEED PERFORATED TAPE PUNCH TYPE 75E
PSF      6021  skip if punch flag = 1             2 1/2
PCF      6022  clear flag and buffer              2 1/2
PPC      6024  load buffer and punch              2 1/2
               character
PLS      6026  clear flag and buffer;             2 1/2
               load and punch

             OSCILLOSCOPE DISPLAY TYPE 34B
DXL      6053  clear and load x buffer            2 1/2
DYL      6063  clear and load y buffer            2 1/2
DXS      6057  combined dxl and dix               2 1/2
DYS      6067  combined dyl and diy               2 1/2
DIY      6064  intensify point                    2 1/2
DIX      6054  intensify point                    2 1/2
DCY      6061  clear y buffer                     2 1/2
DCX      6051  clear x buffer                     2 1/2

            DECTAPE AND CONTROL TYPE 555/552
MMLS     6751  load unit select register          2 1/2
               and clear DECtape flag
MMLM     6752  load motion register and           2 1/2
               clear DECtape flag
MMLF     6754  load function register             2 1/2
MMMF     6756  load motion and function           2 1/2
               registers and clear DECtape flag
MMMM     6757  load unit select motion and        2 1/2
               function registers and clear
               DECtape flag
MMSF     6761  skip if DECtape flag = 1           2 1/2
MMML     6766  clear and load memory              2 1/2
               address register
MMSC     6771  skip if error flag = 1             2 1/2
MMCF     6772  clear error flag and               2 1/2
               DECtape flag
MMRS     6774  read status bits into AC bits 0-7  2 1/2

                EXTENDED MEMORY TYPE 183
CDF      62n1  change to data field n                1
CIF      62n2  change to instruction field n         1
RDF      6214  read data field into AC 6-8           1
RIF      6224  read instruction field into AC 6-8    1
RMF      6244  restore memory field                  1
RIB      6234  read interrupt buffer                 1


                       ASCII CODE

    Character      Code        Character     Code
    ---------      ----        ---------     ---
        A          301             !         241
        B          302             "         242
        C          303             #         243
        D          304             $         244
        E          305             %         245
        F          306             &         246
        G          307             '         247
        H          310             (         250
        I          311             )         251
        J          312             *         252
        K          313             +         253
        L          314             ,         254
        M          315             -         255
        N          316             .         256
        O          317             /         257
        P          320             :         272
        Q          321             ;         273
        R          322             <         274
        S          323             =         275
        T          324             >         276
        U          325             ?         277
        V          326             @         300
        W          327             [         333
        X          330             \         334
        Y          331             ]         335
        Z          332             ^         336
        0          260             <-        337
        1          261             EOT       204
        2          262             W RU      205
        3          263             RU        206
        4          264             BELL      207
        5          265             Line Feed 212
        6          266             Return    215
        7          267             Space     240
        8          270             ALT MODE  375
        9          271             Rub Out   377

               ___ ___ ___ ___ ___ ___ ___
              |   |   |   |   |   |   |   |
              |   |   |   |   |   |   |   |
              | d | i | g | i | t | a | l |
              |   |   |   |   |   |   |   |
              |___|___|___|___|___|___|___|

                E  Q  U  I  P  M  E  N  T

                  C O R P O R A T I O N

                 MAYNARD,  MASSACHUSETTS

5732               PRINTED IN U.S.A.            25-5/65